- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

# CTurtle Class Reference

Turtle class. More...

`#include <Turtle.h>`

Collaboration diagram for CTurtle:

[legend]

List of all members.

## Public Member Functions
| CTurtle ()
| Standard constructor.
| ~CTurtle ()
| Standard destructor.
bool | Init (HWND hWnd, LPDIRECT3DDEVICE9 pd3dDevice)
| Init function loads turtle skinned model (CXFileEntity).
void | OnFrameMove (LPDIRECT3DDEVICE9 pd3dDevice, float fElapsedTime, D3DXMATRIXA16 *matWorld)
| Move animated model.
void | OnRender (LPDIRECT3DDEVICE9 pd3dDevice)
| Render skinned model.
void | Restart ()
| Restart turtle (position, facing, etc..).

## Detailed Description

Turtle class.

This class represent our hero - the turtle shepherd. It holds instance of animated turtle model - CXFileEntity, position, facing and state of turtle.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Constructor & Destructor Documentation

CTurtle::CTurtle | ( |  | ) |

Standard constructor.

Author:
  Petar Bajic

Date:
  January, 16 2007.

CTurtle::~CTurtle | ( |  | ) |

Standard destructor.

Author:
  Petar Bajic

Date:
  January, 16 2007.

## Member Function Documentation

bool CTurtle::Init | ( | HWND | hWnd,
|  | LPDIRECT3DDEVICE9 | pd3dDevice |
| ) |  |  |

Init function loads turtle skinned model (CXFileEntity).

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CTurtle::OnFrameMove | ( | LPDIRECT3DDEVICE9 | pd3dDevice,
|  | float | fElapsedTime,
|  | D3DXMATRIXA16 * | matWorld |
| ) |  |  |

Move animated model.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CTurtle::OnRender | ( | LPDIRECT3DDEVICE9 | pd3dDevice | ) |

Render skinned model.

Author:
  Petar Bajic

Date:
  January, 16 2007.

void CTurtle::Restart | ( |  | ) |

Restart turtle (position, facing, etc..).

Author:
  Petar Bajic

Date:
  January, 16 2007.

The documentation for this class was generated from the following files:

- My Documents/TS2/inc/Turtle.h
- My Documents/TS2/src/Turtle.cpp